/*
Macro IDs for keyboard buttons.
*/

var KeyButton/KeyButton = new

KeyButton
	parent_type = /Constants

	var const
		// Letters
		A = "A"
		B = "B"
		C = "C"
		D = "D"
		E = "E"
		F = "F"
		G = "G"
		I = "I"
		H = "H"
		J = "J"
		K = "K"
		L = "L"
		M = "M"
		N = "N"
		O = "O"
		P = "P"
		Q = "Q"
		R = "R"
		S = "S"
		T = "T"
		U = "U"
		V = "V"
		W = "W"
		X = "X"
		Y = "Y"
		Z = "Z"

		// Numbers above the letters
		Alpha0 = "0"
		Alpha1 = "1"
		Alpha2 = "2"
		Alpha3 = "3"
		Alpha4 = "4"
		Alpha5 = "5"
		Alpha6 = "6"
		Alpha7 = "7"
		Alpha8 = "8"
		Alpha9 = "9"

		// Other printable keys
		Tilde = "`"
		Minus = "-"
		Equals = "="
		LeftBracket = "\["
		RightBracket = "]"
		Backslash = "\\"
		Colon = ";"
		Quote = "'"
		Comma = ","
		Period = "."
		Slash = "/"

		// Directional keys
		North = "North"
		South = "South"
		East = "East"
		West = "West"
		Northwest = "Northwest"
		Southwest = "Southwest"
		Northeast = "Northeast"
		Southeast = "Southeast"

		// Center of the keypad
		Center = "Center"

		// For both Return and the keypad's Enter
		Return = "Return"

		// Misc
		Escape = "Escape"
		Tab = "Tab"
		Space = "Space"
		Back = "Back"
		Insert = "Insert"
		Delete = "Delete"
		Pause = "Pause"
		Snapshot = "Snapshot"
		LWin = "LWin"
		RWin = "RWin"
		Apps = "Apps"

		F1 = "F1"
		F2 = "F2"
		F3 = "F3"
		F4 = "F4"
		F5 = "F5"
		F6 = "F6"
		F7 = "F7"
		F8 = "F8"
		F9 = "F9"
		F10 = "F10"
		F11 = "F11"
		F12 = "F12"

		// Numpad keys
		Numpad0 = "Numpad0"
		Numpad1 = "Numpad1"
		Numpad2 = "Numpad2"
		Numpad3 = "Numpad3"
		Numpad4 = "Numpad4"
		Numpad5 = "Numpad5"
		Numpad6 = "Numpad6"
		Numpad7 = "Numpad7"
		Numpad8 = "Numpad8"
		Numpad9 = "Numpad9"
		Multiply = "Multiply"
		Add = "Add"
		Subtract = "Subtract"
		Divide = "Divide"
		Separator = "Separator"

		// Modifiers
		Shift = "Shift"
		Control = "Ctrl"
		Alt = "Alt"
